import { __decorate } from "tslib";
import { TextField as FASTTextField } from '@microsoft/fast-components';
import { attr } from '@microsoft/fast-element';
import { foundationTextFieldStyles as styles } from './text-field.styles';
import { foundationTextFieldTemplate as template } from './text-field.template';
export class TextField extends FASTTextField {
    constructor() {
        super(...arguments);
        this.autocapitalize = 'off';
    }
    autocompleteChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.autocomplete = this.autocomplete;
        }
    }
    autocapitalizeChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.autocapitalize = this.autocapitalize;
        }
    }
}
__decorate([
    attr
], TextField.prototype, "autocomplete", void 0);
__decorate([
    attr
], TextField.prototype, "autocapitalize", void 0);
__decorate([
    attr
], TextField.prototype, "step", void 0);
export const foundationTextFieldShadowOptions = {
    mode: 'open',
    delegatesFocus: true,
};
export const defaultTextFieldConfig = {};
export const foundationTextField = TextField.compose(Object.assign({ baseName: 'text-field', template,
    styles, shadowOptions: foundationTextFieldShadowOptions }, defaultTextFieldConfig));
